Bug 97357 - browsable = no crashed r-c-samba
browsable = no crashed r-c-samba
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-samba (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-13 12:33 EDT by Dan Hausman
Modified: 2007-04-18 12:54 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-27 16:19:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Hausman 2003-06-13 12:33:35 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.5a) Gecko/20030613

Description of problem:
When browsable = no in the smb.conf redhat-config-samba crashes.  When removed
it works fine.   The following output is what is seen when browsable = no

Traceback (most recent call last):
  File "/usr/share/redhat-config-samba/redhat-config-samba.py", line 20, in ?
    mainWindow.MainWindow(debug_flag)
  File "/usr/share/redhat-config-samba/mainWindow.py", line 58, in __init__
    self.samba_data = sambaParser.SambaParser(self)
  File "/usr/share/redhat-config-samba/sambaParser.py", line 24, in __init__
    self.parseFile()
  File "/usr/share/redhat-config-samba/sambaParser.py", line 55, in parseFile
    token = self.createToken(line) 
  File "/usr/share/redhat-config-samba/sambaParser.py", line 127, in createToken
    token = sambaToken.SambaToken(sambaToken.SambaToken.SAMBA_TOKEN_KEYVAL,
(name, value), self.parent)
  File "/usr/share/redhat-config-samba/sambaToken.py", line 20, in __init__
    raise AttributeError, value
AttributeError: ('browsable', 'no')


Version-Release number of selected component (if applicable):
redhat-config-samba-1.0.5-2

How reproducible:
Always

Steps to Reproduce:
1.have browsable = no in smb.conf 
2.run redhat-config-samba
3.
    

Actual Results:  Traceback (most recent call last):
  File "/usr/share/redhat-config-samba/redhat-config-samba.py", line 20, in ?
    mainWindow.MainWindow(debug_flag)
  File "/usr/share/redhat-config-samba/mainWindow.py", line 58, in __init__
    self.samba_data = sambaParser.SambaParser(self)
  File "/usr/share/redhat-config-samba/sambaParser.py", line 24, in __init__
    self.parseFile()
  File "/usr/share/redhat-config-samba/sambaParser.py", line 55, in parseFile
    token = self.createToken(line) 
  File "/usr/share/redhat-config-samba/sambaParser.py", line 127, in createToken
    token = sambaToken.SambaToken(sambaToken.SambaToken.SAMBA_TOKEN_KEYVAL,
(name, value), self.parent)
  File "/usr/share/redhat-config-samba/sambaToken.py", line 20, in __init__
    raise AttributeError, value
AttributeError: ('browsable', 'no')


Expected Results:  samba config shoudl have poped up

Additional info:
Comment 1 Brent Fox 2003-06-27 16:19:32 EDT
Should be fixed in redhat-config-samba-1.0.6-1 and should appear in Rawhide soon.

Note You need to log in before you can comment on or make changes to this bug.